Skip to main content
Notification

Send notification to Desktop/KAW user

Send a notification to the specified user or audience. The message and either a user or audience must be specified. For Desktop users, the notification will show up as a toast notification. For KAW Mobile users, it will appear as a push notification from the KAW Mobile app.

POST
/api/notification/v1
Authorizationstringheaderrequired

Access token from POST /api/v1/auth/login

Body

application/x-www-form-urlencoded
audience_idinteger

Conditionally required. Id of the Audience. If user_id is provided, this is optional

Example: 1
audience_namestring

Name of the audience

Example: sample_audience
messagestringrequired

Message text for the notification

Example: Sample Notification Text.
urgentboolean

Whether the notification is urgent

Example: true
user_emailstring

Email of the user

Example: sample_user@provider.com
user_firstNamestring

First name of the user

Example: firts name
user_idinteger

Conditionally required. Id of the user to send the notification to. if 'audience_id' is provided, this is optional

Example: 1
user_lastNamestring

Last name of the user

Example: last name

Success. Response body is not documented in the source collection.